curl --request GET \
--url https://us.console.entire.io/api/v1/projects/{projectId}/repos \
--header 'Authorization: Bearer <token>'import requests
url = "https://us.console.entire.io/api/v1/projects/{projectId}/repos"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://us.console.entire.io/api/v1/projects/{projectId}/repos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://us.console.entire.io/api/v1/projects/{projectId}/repos",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://us.console.entire.io/api/v1/projects/{projectId}/repos"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://us.console.entire.io/api/v1/projects/{projectId}/repos")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://us.console.entire.io/api/v1/projects/{projectId}/repos")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"$schema": "/api/v1/schemas/ListProjectReposOutputBody.json",
"candidatesIncomplete": true,
"nextPageToken": "<string>",
"repo": {
"capabilities": {
"canManage": true,
"canPull": true,
"canPush": true
},
"id": "<string>",
"name": "<string>",
"owningProjectId": "<string>",
"provider": "github",
"$schema": "/api/v1/schemas/Repo.json",
"candidate": {
"access": "read",
"onboardable": true
},
"clusterHost": "<string>",
"clusterSlug": "<string>",
"detachedAt": "2023-11-07T05:31:56Z",
"foreign": true,
"fullName": "<string>",
"jurisdiction": "<string>",
"lastPushedAt": "2023-11-07T05:31:56Z",
"mirrorSuspended": true,
"mirrorSuspendedAt": "<string>",
"objectFormat": "sha1",
"path": "<string>",
"placements": [
{
"cell": "<string>",
"clusterSlug": "<string>",
"id": "<string>",
"jurisdiction": "<string>",
"mirror": true,
"status": "processing",
"apiBaseUrl": "<string>"
}
],
"primaries": {
"data_primary": {
"forge": "<string>",
"repo_id": "<string>"
},
"git_data": "<string>",
"processing": "<string>",
"processing_primary": {
"forge": "<string>",
"repo_id": "<string>"
}
},
"provisionAttempts": 123,
"provisionReason": "<string>",
"repoGroupId": "<string>",
"state": "provisioning",
"visibility": "public"
},
"repos": [
{
"capabilities": {
"canManage": true,
"canPull": true,
"canPush": true
},
"id": "<string>",
"name": "<string>",
"owningProjectId": "<string>",
"provider": "github",
"$schema": "/api/v1/schemas/Repo.json",
"candidate": {
"access": "read",
"onboardable": true
},
"clusterHost": "<string>",
"clusterSlug": "<string>",
"detachedAt": "2023-11-07T05:31:56Z",
"foreign": true,
"fullName": "<string>",
"jurisdiction": "<string>",
"lastPushedAt": "2023-11-07T05:31:56Z",
"mirrorSuspended": true,
"mirrorSuspendedAt": "<string>",
"objectFormat": "sha1",
"path": "<string>",
"placements": [
{
"cell": "<string>",
"clusterSlug": "<string>",
"id": "<string>",
"jurisdiction": "<string>",
"mirror": true,
"status": "processing",
"apiBaseUrl": "<string>"
}
],
"primaries": {
"data_primary": {
"forge": "<string>",
"repo_id": "<string>"
},
"git_data": "<string>",
"processing": "<string>",
"processing_primary": {
"forge": "<string>",
"repo_id": "<string>"
}
},
"provisionAttempts": 123,
"provisionReason": "<string>",
"repoGroupId": "<string>",
"state": "provisioning",
"visibility": "public"
}
]
}{
"$schema": "/api/v1/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}{
"$schema": "/api/v1/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}{
"$schema": "/api/v1/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}{
"$schema": "/api/v1/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}{
"$schema": "/api/v1/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}{
"$schema": "/api/v1/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}List repositories in a project (or one by name)
curl --request GET \
--url https://us.console.entire.io/api/v1/projects/{projectId}/repos \
--header 'Authorization: Bearer <token>'import requests
url = "https://us.console.entire.io/api/v1/projects/{projectId}/repos"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://us.console.entire.io/api/v1/projects/{projectId}/repos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://us.console.entire.io/api/v1/projects/{projectId}/repos",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://us.console.entire.io/api/v1/projects/{projectId}/repos"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://us.console.entire.io/api/v1/projects/{projectId}/repos")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://us.console.entire.io/api/v1/projects/{projectId}/repos")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"$schema": "/api/v1/schemas/ListProjectReposOutputBody.json",
"candidatesIncomplete": true,
"nextPageToken": "<string>",
"repo": {
"capabilities": {
"canManage": true,
"canPull": true,
"canPush": true
},
"id": "<string>",
"name": "<string>",
"owningProjectId": "<string>",
"provider": "github",
"$schema": "/api/v1/schemas/Repo.json",
"candidate": {
"access": "read",
"onboardable": true
},
"clusterHost": "<string>",
"clusterSlug": "<string>",
"detachedAt": "2023-11-07T05:31:56Z",
"foreign": true,
"fullName": "<string>",
"jurisdiction": "<string>",
"lastPushedAt": "2023-11-07T05:31:56Z",
"mirrorSuspended": true,
"mirrorSuspendedAt": "<string>",
"objectFormat": "sha1",
"path": "<string>",
"placements": [
{
"cell": "<string>",
"clusterSlug": "<string>",
"id": "<string>",
"jurisdiction": "<string>",
"mirror": true,
"status": "processing",
"apiBaseUrl": "<string>"
}
],
"primaries": {
"data_primary": {
"forge": "<string>",
"repo_id": "<string>"
},
"git_data": "<string>",
"processing": "<string>",
"processing_primary": {
"forge": "<string>",
"repo_id": "<string>"
}
},
"provisionAttempts": 123,
"provisionReason": "<string>",
"repoGroupId": "<string>",
"state": "provisioning",
"visibility": "public"
},
"repos": [
{
"capabilities": {
"canManage": true,
"canPull": true,
"canPush": true
},
"id": "<string>",
"name": "<string>",
"owningProjectId": "<string>",
"provider": "github",
"$schema": "/api/v1/schemas/Repo.json",
"candidate": {
"access": "read",
"onboardable": true
},
"clusterHost": "<string>",
"clusterSlug": "<string>",
"detachedAt": "2023-11-07T05:31:56Z",
"foreign": true,
"fullName": "<string>",
"jurisdiction": "<string>",
"lastPushedAt": "2023-11-07T05:31:56Z",
"mirrorSuspended": true,
"mirrorSuspendedAt": "<string>",
"objectFormat": "sha1",
"path": "<string>",
"placements": [
{
"cell": "<string>",
"clusterSlug": "<string>",
"id": "<string>",
"jurisdiction": "<string>",
"mirror": true,
"status": "processing",
"apiBaseUrl": "<string>"
}
],
"primaries": {
"data_primary": {
"forge": "<string>",
"repo_id": "<string>"
},
"git_data": "<string>",
"processing": "<string>",
"processing_primary": {
"forge": "<string>",
"repo_id": "<string>"
}
},
"provisionAttempts": 123,
"provisionReason": "<string>",
"repoGroupId": "<string>",
"state": "provisioning",
"visibility": "public"
}
]
}{
"$schema": "/api/v1/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}{
"$schema": "/api/v1/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}{
"$schema": "/api/v1/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}{
"$schema": "/api/v1/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}{
"$schema": "/api/v1/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}{
"$schema": "/api/v1/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Authorizations
Authorization code flow with PKCE-S256. RFC 8628 device flow is also supported.
Path Parameters
^[0-9A-HJKMNP-TV-Z]{26}$Query Parameters
Maximum entries to return; server may cap further.
0 <= x <= 500Opaque cursor from a previous response's nextPageToken.
Optional: exact-match repo name (case-insensitive).
onboarded (default): the project's repos in Entire. all: also lists the GitHub owner's unmirrored repos that the caller can access on GitHub, after all published repos. Only a GitHub mirrors project has such repos. Ignored when name is set.
onboarded, all Optional: opaque commit token from a create, to read a snapshot that contains that write.
^$|^[A-Za-z0-9_-]{60,512}$Response
OK
A URL to the JSON Schema for this object.
"/api/v1/schemas/ListProjectReposOutputBody.json"
Pass back to fetch the next page; empty when no more entries.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?